<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    public string $id;
    public ?string $announcements = null;
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[] $hoursOfOperation */
    public array $hoursOfOperation;
    /** @var \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\StaffMember[]|null $staffMembers */
    public ?array $staffMembers = null;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\WeekDetails[]  $hoursOfOperation 
     * @param  \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\StaffMember[]|null  $staffMembers 
     */
    public function __construct(string $id, ?string $announcements, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails, array $hoursOfOperation, ?array $staffMembers)
    {
        $this->id = $id;
        $this->announcements = $announcements;
        $this->locationDetails = $locationDetails;
        $this->hoursOfOperation = $hoursOfOperation;
        $this->staffMembers = $staffMembers;
    }
    

}